#ifndef ICONLAYERWIDGET_H
#define ICONLAYERWIDGET_H

#include <QWidget>

class QVBoxLayout;
class QHBoxLayout;
class QLabel;
class QPushButton;
class CListWidget;

class IconLayerWidget : public QWidget
{
    Q_OBJECT
public:
    IconLayerWidget(QWidget* parent = nullptr);

signals:
    void clearAllIcon();

protected:

private:
    void initUI();
    void connects();

private:
    QVBoxLayout* mMainVLayout;
    QLabel* mTitleLabel;
    CListWidget* mIconListWidget;

    QHBoxLayout* mButtonHLayout;
    QPushButton* mClearIconButton;
};

#endif // ICONLAYERWIDGET_H
